Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Interface ModuleType

All Known Implementing Classes:
  CellMLModuleType, SbmlModuleType, StandardModuleType

public interface ModuleType
extends DataElement

Method Summary
`boolean` | `canCreateEmptyModule()` Indicates whether an empty module with initialised internal structure can be created
`Module` | `createModule(Repository parent, String name)` Creates empty module with initialised internal structure.
`String` | `getCategory(Class aClass)` The category is used to group diagram elements by folders in BioUML `Module`.
`Class[]` | `getDiagramTypes()`
`QueryEngine` | `getQueryEngine()`
`String` | `getVersion()`
`boolean` | `isCategorySupported()`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Method Detail

### canCreateEmptyModule

    public boolean canCreateEmptyModule()

  Indicates whether an empty module with initialised internal structure can be created

### createModule

    public Module createModule(Repository parent, String name)
                         throws java.lang.Exception

  Creates empty module with initialised internal structure.

### getCategory

    public String getCategory(Class aClass)

  The category is used to group diagram elements by folders in BioUML `Module`.
  returns the category.
  pending the othe variant has Categirizer (singleton with static methods) where we can register all classes.

### getDiagramTypes

    public Class[] getDiagramTypes()

  returns array of diagram types that can be used in this module.

### getQueryEngine

    public QueryEngine getQueryEngine()

  returns QueryEngine

### getVersion

    public String getVersion()

  returns version of the module software

### isCategorySupported

    public boolean isCategorySupported()

  returns true if the module supprts the category concept.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM